<script>
  import { onMount } from 'svelte';
  
  let name = '';
  let role = '';
  let payGrade = '';
  let superiorId = '';

  async function addEmployee(event) {
    event.preventDefault();

    const newEmployee = {
      name,
      role,
      payGrade,
      ...(superiorId && { superiorId })
    };

    const response = await fetch('/employees', {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json'
      },
      body: JSON.stringify(newEmployee)
    });

    if (response.ok) {
      alert('Employee added successfully.');
      name = '';
      role = '';
      payGrade = '';
      superiorId = '';
    } else {
      alert('An error occurred while adding the employee.');
    }
  }
</script>

<style>
input {
    width: 500px;
}
</style>

<h1>Neue*n Mitarbeiter*in anlegen</h1>
<form on:submit="{addEmployee}">
  <label for="name">Name</label>
  <input type="text" id="name" bind:value="{name}" required />

  <label for="role">Rolle</label>
  <input type="text" id="role" bind:value="{role}" required />

  <label for="payGrade">Gehaltsstufe</label>
  <input type="text" id="payGrade" bind:value="{payGrade}" required />
  
  <label for="superiorId">Vorgesetzten-ID</label>
  <input type="text" id="superiorId" bind:value="{superiorId}" />

  <button type="submit">Add Employee</button>
</form>
